package com.simuwang.base.mapper.daq;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.ProductInformationDO;
import com.simuwang.base.pojo.dto.query.ProductPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ProductInformationMapper extends BaseMapper<ProductInformationDO> {

    List<ProductInformationDO> searchProductList(ProductPageQuery productPageQuery);

    long countProductList(ProductPageQuery productPageQuery);

    ProductInformationDO selectByNameAndRegisterNumber(@Param("registerNumber") String registerNumber,@Param("productName")String productName);

    List<ProductInformationDO> selectAllRecord();

    List<ProductInformationDO> selectByIdList(@Param("idList") List<Integer> idList);
}